Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Rice Pastry API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## rice.pastry.socket
Class SocketCollectionManager.MessageRetry

    java.lang.Object
      rice.selector.TimerTask
          rice.pastry.socket.SocketCollectionManager.MessageRetry

All Implemented Interfaces:
  java.lang.Comparable, CancellableTask

Enclosing class:
  SocketCollectionManager

    protected class SocketCollectionManager.MessageRetry

extends TimerTask

Internal class which represents a message which is currently delayed, waiting for an open socket. The message will be tried using exponential backoff up to BACKOFF_LIMIT times before being dropped.

Field Summary
`protected SocketSourceRouteManager.AddressManager` | `am`
`protected SocketBuffer` | `message`
`protected SourceRoute` | `route`
`protected long` | `timeout`
`protected int` | `tries`

Fields inherited from class rice.selector.TimerTask
`cancelled, fixedRate, nextExecutionTime, period, seq`

Constructor Summary
`SocketCollectionManager.MessageRetry(SourceRoute route, SocketBuffer message, SocketSourceRouteManager.AddressManager am)` Constructor, taking a message and the route

Method Summary
`void` | `run()` Main processing method for the DeadChecker object

Methods inherited from class rice.selector.TimerTask
`cancel, compareTo, execute, isCancelled, scheduledExecutionTime`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### tries

    protected int tries

### timeout

    protected long timeout

### route

    protected SourceRoute route

### message

    protected SocketBuffer message

### am

    protected SocketSourceRouteManager.AddressManager am

Constructor Detail

### SocketCollectionManager.MessageRetry

    public SocketCollectionManager.MessageRetry(SourceRoute route,
                                                SocketBuffer message,
                                                SocketSourceRouteManager.AddressManager am)

  Constructor, taking a message and the route

  Parameters:
    `message` - The message
    `route` - The route

Method Detail

### run

    public void run()

  Main processing method for the DeadChecker object

  Specified by:
    `run` in interface `CancellableTask`
  Specified by:
    `run` in class `TimerTask`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Rice Pastry API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2005 - Rice Pastry.